RENICE(1)

NOM
renice - Modifier la priorité des processus en cours d'exécution

SYNOPSIS

renice [-n] priorité [-g|-p|-u] identifiant ...

DESCRIPTION

renice modifie la priorité d'ordonnancement d'un ou de plusieurs processus en cours d'exécution. Le premier argument est la valeur de priorité à utiliser. Les autres arguments sont interprétés comme des identifiants de processus (PID, par défaut), des identifiants de groupe de processus (PGID), des identifiants d’utilisateur (UID) ou des noms d’utilisateur. Utiliser renice sur un groupe de processus implique que tous les processus de ce groupe auront leur priorité d'ordonnancement modifiée. Lorsqu'un utilisateur est indiqué, tous les processus appartenant à celui-ci auront leur priorité d'ordonnancement modifiée.

OPTIONS

-n, --priority priorité
    indiquer la priorité d’ordonnancement à utiliser pour le processus, le groupe de processus ou l’utilisateur. Utiliser l’option -n ou --priority est facultatif, mais si elle est utilisée, elle doit être le premier argument.

-g, --pgrp
    interpréter les arguments suivants comme des identifiants de groupe de processus (PGID).

-p, --pid
    interpréter les arguments suivants comme des identifiants de processus (PID, par défaut).

-u, --user
    interpréter les arguments suivants comme des noms ou des identifiants d’utilisateur (UID).

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

FICHIERS

/etc/passwd
    Correspondance entre les noms d'utilisateur et les identifiants.

NOTES

Les utilisateurs ordinaires (à part le superutilisateur) ne peuvent que modifier la priorité des processus dont ils sont propriétaires. De plus, un utilisateur non privilégié ne peut qu'« incrémenter » leur « valeur nice » (choisir ainsi une priorité plus basse) et de tels changements sont irréversibles, à moins (à partir de Linux 2.6.12) que l'utilisateur ait une limite de ressource « nice » acceptable (voir ulimit(1) et getrlimit(2)).

Le superutilisateur peut modifier la priorité de n'importe quel processus et peut configurer la priorité avec n'importe quelle valeur dans l'intervalle de -20 à 19. Les priorités utiles sont : 19 (les processus affectés ne s'exécutent que si aucun autre processus ne souhaite s'exécuter sur le système), 0 (la priorité d'ordonnancement de « base »), n'importe quelle valeur négative (pour rendre les processus plus rapides).

HISTORIQUE

La commande renice est apparue pour la première fois dans BSD 4.0.

EXEMPLES

La commande suivante modifierait la priorité des processus avec les PID 987 et 32, et tous les processus appartenant aux utilisateurs « daemon » et « root » :

renice +1 987 -u daemon root -p 32

VOIR AUSSI

nice(1), chrt(1), getpriority(2), setpriority(2), credentials(7), sched(7)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande renice fait partie du paquet util-linux qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.